"""
About.py
by Jason Conti
February 19, 2010

Shows the About dialog for the applet.
"""

import gtk

def show_about(parent):
  about = gtk.AboutDialog()

  about.set_authors(["Jason Conti <jason.conti@gmail.com>"])
  about.set_comments("View recent notifications")
  about.set_copyright(u"Copyright \xa9 2010 Jason Conti.")
  #about.set_logo(gtk.gdk.pixbuf_new_from_file("/home/jconti/Projects/git/recent-notifications/icons/full_mailbox.svg"))
  about.set_name("Recent Notifications")
  about.set_version("1.0.0")

  about.connect("response", lambda self, *args: self.destroy())
  about.set_screen(parent.get_screen())
  about.show_all()

